package com.jz.dmp.modules.dao.sys;

import java.util.List;
import java.util.Map;

import com.jz.dmp.modules.controller.sys.bean.DmpMemberRoleDto;
import com.jz.dmp.modules.model.DmpMemberRole;

/**用户角色关系表 mapper
 * @author ybz
 *
 */
public interface DmpMemberRoleMapper {
	
	/**新增用户角色关系表
     * @param dmpMemberRole
     * @return
     * @throws Exception
     */
    public int insert(DmpMemberRole dmpMemberRole)throws Exception;

    /**选择性增加用户角色关系表
     * @param dmpMemberRole
     * @return
     * @throws Exception
     */
    public int insertSelective(DmpMemberRole dmpMemberRole)throws Exception;
    
    /**主键修改用户角色关系表
     * @param dmpMemberRole
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKey(DmpMemberRole dmpMemberRole)throws Exception;

    /**选择性修改用户角色关系表
     * @param dmpMemberRole
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKeySelective(DmpMemberRole dmpMemberRole)throws Exception;
    
    /**主键查询用户角色关系表
     * @param dmpMemberRoleId
     * @return
     * @throws Exception
     */
    public DmpMemberRole selectByPrimaryKey(Integer dmpMemberRoleId)throws Exception;

    /**主键删除用户角色关系表
     * @param dmpMemberRoleId
     * @return
     * @throws Exception
     */
    public int deleteByPrimaryKey(Integer dmpMemberRoleId)throws Exception;

	/**条件查询用户角色关系表
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public List<DmpMemberRoleDto> findList(Map<String, Object> param)throws Exception;

	/**主键查询用户角色关系表
	 * @param dmpMemberRoleId
	 * @return
	 * @throws Exception
	 */
	public DmpMemberRoleDto findById(Integer dmpMemberRoleId)throws Exception;

	/**批量新增用户角色关系表
	 * @param dmpMemberRoles
	 * @throws Exception
	 */
	public void insertBatch(List<DmpMemberRole> dmpMemberRoles)throws Exception;
	
}
